Bug 906733 - [RFE]: abrt-cli should use numbered identifiers for directories
Summary: [RFE]: abrt-cli should use numbered identifiers for directories
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: abrt
Version: 19
Hardware: Unspecified
OS: Unspecified
low
unspecified
Target Milestone: ---
Assignee: Denys Vlasenko
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-02-01 10:18 UTC by Miroslav Hradílek
Modified: 2013-09-15 00:53 UTC (History)
8 users (show)

Fixed In Version: gnome-abrt-0.3.1-1.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-09-15 00:53:51 UTC
Type: Bug


Attachments (Terms of Use)

Description Miroslav Hradílek 2013-02-01 10:18:50 UTC
Description of problem:
While "abrt-cli list" prepends each directory entry with numbered identifier like @1 the rest of the operations is performed on full paths.

Version-Release number of selected component (if applicable):
abrt-cli-2.0.18-1.fc17.x86_64

How reproducible:
always

Steps to Reproduce:
1. "abrt-cli list"
2. "abrt-cli info @1"
         or
   "abrt-cli info 1"
  
Actual results:
no such problem directory '@1'

Expected results:
Directory:      /var/spool/abrt/ccpp-2012-08-20-13:23:54-4321
count:          2
executable:     /usr/bin/someexecutable
package:        somepackage-3.4.0-1.fc17
time:           Mon 20 Aug 2012 01:23:54 PM CEST
uid:            123456

Additional info:
What is the point of CLI when you have to operate on full paths.

Comment 1 Fedora End Of Life 2013-07-04 05:27:40 UTC
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Denys Vlasenko 2013-08-30 10:50:03 UTC
I propose @N thing to be deleted.


From 88480957d1d2f184998c09435a259f6f32e98200 Mon Sep 17 00:00:00 2001
From: Denys Vlasenko <dvlasenk@redhat.com>
Date: Fri, 30 Aug 2013 12:43:50 +0200
Subject: [ABRT PATCH] abrt-cli list: don't print @N thing. rhbz#906733

Once upon a time it was meant to allow addressing problems with @N
instead of full name. However, it is problematic - what the numbering
should be if e.g. --since DATE was used? Should we scan all directories
regardless because we want to show the same @N's as in full list?
Same problem with "--full List even reported problems" versus
!--full.

I think git had a right idea: "shortcut" ID should be based on
substring match, not a numbering.

Comment 3 Denys Vlasenko 2013-09-05 09:36:30 UTC
Sent a patch to ML:

From 52e9bebd62b39a0f114122f8ffe2d957f3739980 Mon Sep 17 00:00:00 2001
From: Denys Vlasenko <dvlasenk@redhat.com>
Date: Wed, 4 Sep 2013 15:26:30 +0200
Subject: [ABRT PATCH] abrt-cli list: use sha1 hash as short ids instead of @N
 thing. rhbz#906733

Once upon a time it was meant to allow addressing problems with @N
instead of full name. However, it is problematic - what the numbering
should be if e.g. --since DATE was used? Should we scan all directories
regardless because we want to show the same @N's as in full list?
Same problem with "--full List even reported problems" versus
!--full.

Instead, use git's trick of "shortcut IDs" based on SHA hashes.
In our case, use sha1 hash of directory name.

abrt-cli info STR will attempt to use STR as sha1 hash
of directory name if STR isn't an existing directory name,
is >= 5 chars long, and is a hex string.

Example:
    $ abrt-cli list
    ...
    @d9ca58e5b3e509759c582a5c162bfe24b23150dd
    Directory:      /var/tmp/abrt/oops-2013-08-27-14:08:13-9866-0
    time:           Tue 27 Aug 2013 02:08:13 PM CEST
    $ abrt-cli info d9ca5
    Directory:      /var/tmp/abrt/oops-2013-08-27-14:08:13-9866-0
    time:           Tue 27 Aug 2013 02:08:13 PM CEST

Comment 4 Denys Vlasenko 2013-09-06 14:53:19 UTC
Fixed in abrt upstream git:

commit b1f418c9ea31801f391c58b26ae664ddf2405c98
Author: Denys Vlasenko <dvlasenk@redhat.com>
Date:   Wed Sep 4 15:32:01 2013 +0200

    abrt-cli list: use sha1 hash as short ids instead of @N thing

Comment 5 Fedora Update System 2013-09-13 13:09:00 UTC
gnome-abrt-0.3.1-1.fc19,abrt-2.1.7-1.fc19,libreport-2.1.7-1.fc19,satyr-0.9-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/gnome-abrt-0.3.1-1.fc19,abrt-2.1.7-1.fc19,libreport-2.1.7-1.fc19,satyr-0.9-1.fc19

Comment 6 Fedora Update System 2013-09-14 02:39:01 UTC
Package gnome-abrt-0.3.1-1.fc19, abrt-2.1.7-1.fc19, libreport-2.1.7-1.fc19, satyr-0.9-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gnome-abrt-0.3.1-1.fc19 abrt-2.1.7-1.fc19 libreport-2.1.7-1.fc19 satyr-0.9-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-16707/gnome-abrt-0.3.1-1.fc19,abrt-2.1.7-1.fc19,libreport-2.1.7-1.fc19,satyr-0.9-1.fc19
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2013-09-15 00:53:51 UTC
gnome-abrt-0.3.1-1.fc19, abrt-2.1.7-1.fc19, libreport-2.1.7-1.fc19, satyr-0.9-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.